1
$\begingroup$

My FRC team will recently upgrade from CompactRIO to RoboRIO.

CompactRIO only supports up to Java 1.4. What version of Java does RoboRIO?

$\endgroup$
1
$\begingroup$

Yes it supports Java 8 Embedded.

Which basically is Java 8 SE without any graphical library support (because the RoboRio is headless).

Beta teams using Java are currently using Java 8 Embedded for Arm as the JVM on the RoboRio, and Eclipse as the IDE with WPILib provided plugins for project development.

| improve this answer | |
$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.